# Function getTransferWrappedWithPayloadCpiAccounts

- getTransferWrappedWithPayloadCpiAccounts(cpiProgramId, tokenBridgeProgramId, wormholeProgramId, payer, message, fromTokenAccount, tokenChain, tokenAddress, fromTokenAccountOwner?): TransferWrappedWithPayloadCpiAccounts

- Generate accounts needed to perform `transfer_wrapped_with_payload` instruction as cross-program invocation.

  #### Parameters

  - ##### cpiProgramId: PublicKeyInitData

  - ##### tokenBridgeProgramId: PublicKeyInitData

  - ##### wormholeProgramId: PublicKeyInitData

  - ##### payer: PublicKeyInitData

  - ##### message: PublicKeyInitData

  - ##### fromTokenAccount: PublicKeyInitData

  - ##### tokenChain: number

  - ##### tokenAddress: Uint8Array | Buffer

  - ##### `Optional` fromTokenAccountOwner: PublicKeyInitData

  #### Returns TransferWrappedWithPayloadCpiAccounts

  - Defined in platforms/solana/protocols/tokenBridge/src/utils/tokenBridge/cpi.ts:251

Generated using TypeDoc